/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.element.database.keywords.util;
import java.io.Serializable;
import java.util.Map;


/**
 * 数据源配置
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-10-29 11:40:19  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public class AtuDbConfigAddTmp2Dto implements Serializable {
  /**
   * 项目id
   */
//  @NotBlank(message = "项目编号不能为空")
  private String projectId;

  /**
   * 环境id
   */
//  @NotBlank(message = "环境编号不能为空")
  private String envId;

  /**
   * 来源类型 1-静态数据源，2-动态数据源
   */
//  @NotBlank(message = "来源类型不能为空")
  private String sourceType;

  /**
   * 数据源名称<br>
   */
//  @NotBlank(message = "数据源名称不能为空")
  private String name;

  /**
   * 执行的sql
   */
  private String sqlContent;

  /**
   * 数据源类型：0-MongoDB，1-mysql，2-Oracle，3-达梦，4-OceanBase，5-db2<br>
   */
  private Integer type;

  /**
   * 主机ip<br>
   */
  private String host;

  /**
   * 端口<br>
   */
  private String port;

  /**
   * 数据库名称<br>
   */
  private String dbName;

  /**
   * 数据库登入名<br>
   */
  private String userName;

  /**
   * 数据库登入密码<br>
   */
  private String password;

  /**
   * 高级属性
   */
  private Map<String, Object> advancedConfigMap;

  public String getProjectId() {
    return projectId;
  }

  public void setProjectId(String projectId) {
    this.projectId = projectId;
  }

  public String getEnvId() {
    return envId;
  }

  public void setEnvId(String envId) {
    this.envId = envId;
  }

  public String getSourceType() {
    return sourceType;
  }

  public void setSourceType(String sourceType) {
    this.sourceType = sourceType;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getSqlContent() {
    return sqlContent;
  }

  public void setSqlContent(String sqlContent) {
    this.sqlContent = sqlContent;
  }

  public Integer getType() {
    return type;
  }

  public void setType(Integer type) {
    this.type = type;
  }

  public String getHost() {
    return host;
  }

  public void setHost(String host) {
    this.host = host;
  }

  public String getPort() {
    return port;
  }

  public void setPort(String port) {
    this.port = port;
  }

  public String getDbName() {
    return dbName;
  }

  public void setDbName(String dbName) {
    this.dbName = dbName;
  }

  public String getUserName() {
    return userName;
  }

  public void setUserName(String userName) {
    this.userName = userName;
  }

  public String getPassword() {
    return password;
  }

  public void setPassword(String password) {
    this.password = password;
  }

  public Map<String, Object> getAdvancedConfigMap() {
    return advancedConfigMap;
  }

  public void setAdvancedConfigMap(Map<String, Object> advancedConfigMap) {
    this.advancedConfigMap = advancedConfigMap;
  }
}
